Name:           python-unit-python-sdk
Version:        1.0.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        This library provides a python wrapper to http://unit.co API. See https://docs.unit.co/

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/unit-finance/unit-python-sdk
Source:         %{pypi_source unit_python_sdk}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'unit-python-sdk' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-unit-python-sdk
Summary:        %{summary}

%description -n python3-unit-python-sdk %_description


%prep
%autosetup -p1 -n unit_python_sdk-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-unit-python-sdk -f %{pyproject_files}


%changelog
%autochangelog